Skip to content
View as Markdown

DELETE Remove Old Logs​

DELETE
/setting/old_logs

Delete old log records older than the specified number of days. Deletes in chunks of 10,000 records per type. Returns a has_more flag indicating whether additional records remain and the operation should be repeated.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

days_before*

Number of days. Logs older than this will be deleted. Minimum 7 days.

Type
integer
Required
Minimum
7
selected_logs[]*

Types of logs to delete.

Type
array
Required

Responses​

Logs deleted successfully.

application/json
JSON
{
"message": "string",
"has_more": true
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI